RubyInstaller-3.0.0-1 发布了! 新版本伴随了大量的新功能以及改善。查看ruby-3.0.0 release post 来获取更具体的信息。

Ruby-3.0.0 完成了在Windows上将UTF-8作为主要字符编码的转变。这个功能为文件系统和环境变量启用了完整的Unicode字符集,并增加了与其他工具和操作系统的兼容性。

请注意,有一些gems在Windows上还未能与Ruby-3.0完全兼容,这种情况下你也许依然要使用Ruby 2.7,直到 3.0 版本被完全支持。

不能 直接使用 RubyInstaller-3.0.x 将目标目录放在之前存在的 RubyInstaller-2.6.x or 2.7.x 安装目录下来完成更新。因为伴随有C扩展的gem在ruby-2.7和3.0中不兼容。最好使用一个新目录来安装 3.0.x

所有的文件都可以在下载页面找到!